var System = require("../../system")
class TestApi {
  constructor() {
    this.bmorderSve = System.getObject("service.bmorderSve");
  }

  async testBankfour(obj) {
    let ids = obj.ids;
    let result = [];
    if (!ids) {
      return result;
    }

    for (let id of ids) {
      try {
        let rs = await this.bmorderSve.bankfour(id);
        result.push({id: id, rs: rs});
      } catch (e) {
        console.log(e.stack);
        result.push({id: id, msg: e.message})
      }
    }
    return result;
  }
}
module.exports = TestApi;